# Generated from orderly_garden-0.3.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name orderly_garden

Name: rubygem-%{gem_name}
Version: 0.3.1
Release: 1%{?dist}
Summary: A set of tools for Rake and Ruby workflows, to help keep things neat and tidy
License: MIT
URL: https://github.com/MrJoy/orderly_garden
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
A set of tools for Rake and Ruby workflows, to help keep things neat and tidy.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/.rbenv-gemsets
%{gem_instdir}/.rubocop.local.yml
%{gem_instdir}/.ruby-version
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/TODO.txt
%{gem_instdir}/config
%{gem_libdir}
%{gem_instdir}/tasks
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.md
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/orderly_garden.gemspec

%changelog
* Tue Sep 14 2021 mockbuilder - 0.3.1-1
- Initial package
